petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerSetOptionsPrefix

Sets the prefix used for searching for all PetscViewer options in the database.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetOptionsPrefix(PetscViewer viewer,const char prefix[])

Logically Collective on PetscViewer Many br

### Input Parameter

| viewer | - the PetscViewer context Many br
| prefix | - the prefix to prepend to all option names Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

Many br

### Keywords

PetscViewer, set, options, prefix, database

### See Also

PetscViewerSetFromOptions()

Level:advanced
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html